--- old/usr/src/cmd/hwdata/pci.ids	Tue Oct 18 16:50:06 2016
+++ new/usr/src/cmd/hwdata/pci.ids	Tue Oct 18 16:50:06 2016
@@ -12998,6 +13237,7 @@
 	2a55  88W8864 [Avastar] 802.11ac Wireless
 	2b36  88W8764 [Avastar] 802.11n Wireless
 	2b38  88W8897 [AVASTAR] 802.11ac Wireless
+	2b40  88W8964 [Avastar] 802.11ac Wireless
 	4101  OLPC Cafe Controller Secure Digital Controller
 	4320  88E8001 Gigabit Ethernet Controller
 		1019 0f38  Marvell 88E8001 Gigabit Ethernet Controller (ECS)
@@ -13490,6 +13730,16 @@
 	8032  ATTO Celerity FC8xEN
 		117c 003b  Celerity FC-82EN Fibre Channel Adapter
 		117c 003c  Celerity FC-84EN Fibre Channel Adapter
+	8053  PM8053 SXP 12G 24-port SAS/SATA expander
+	8054  PM8054 SXP 12G 36-port SAS/SATA expander
+	8055  PM8055 SXP 12G 48-port SAS/SATA expander
+	8056  PM8056 SXP 12G 68-port SAS/SATA expander
+	8060  PM8060 SRCv 12G eight-port SAS/SATA RoC
+	8063  PM8063 SRCv 12G 16-port SAS/SATA RoC
+	8070  PM8070 Tachyon SPCv 12G eight-port SAS/SATA controller
+	8071  PM8071 Tachyon SPCve 12G eight-port SAS/SATA controller
+	8072  PM8072 Tachyon SPCv 12G 16-port SAS/SATA controller
+	8073  PM8073 Tachyon SPCve 12G 16-port SAS/SATA controller
 11f9  I-Cube Inc
 11fa  Kasan Electronics Company, Ltd.
 11fb  Datel Inc
@@ -13543,6 +13793,7 @@
 		1202 9844  SK-9843 SX dual link
 1203  Bayer Corporation, Agfa Division
 1204  Lattice Semiconductor Corporation
+	1965  SB6501 802.11ad Wireless Network Adapter
 1205  Array Corporation
 1206  Amdahl Corporation
 1208  Parsytec GmbH
@@ -13633,6 +13884,7 @@
 		1028 04a3  Precision M4600
 	8331  O2 Flash Memory Card
 	8520  SD/MMC Card Reader Controller
+	8621  SD/MMC Card Reader Controller
 1218  Hybricon Corp.
 1219  First Virtual Corporation
 121a  3Dfx Interactive, Inc.
@@ -13854,6 +14106,7 @@
 	1969  ES1938/ES1946/ES1969 Solo-1 Audiodrive
 		1014 0166  ES1969 SOLO-1 AudioDrive on IBM Aptiva Mainboard
 		125d 8888  Solo-1 Audio Adapter
+		125d 8898  ES1938S TTSOLO1-SL [TerraTec 128i PCI]
 		153b 111b  Terratec 128i PCI
 	1978  ES1978 Maestro 2E
 		0e11 b112  Armada M700/E500
@@ -13978,13 +14231,13 @@
 	0002  DirecPC
 1274  Ensoniq
 	1171  ES1373 / Creative Labs CT5803 [AudioPCI]
-	1371  ES1371 / Creative Labs CT2518/ES1373
+	1371  ES1371/ES1373 / Creative Labs CT2518
 		0e11 0024  AudioPCI on Motherboard Compaq Deskpro
 		0e11 b1a7  ES1371, ES1373 AudioPCI
 		1033 80ac  ES1371, ES1373 AudioPCI
 		1042 1854  Tazer
 		107b 8054  Tabor2
-		1274 1371  AudioPCI 64V/128 / Creative CT4810/CT5803/CT5806 [Sound Blaster PCI]
+		1274 1371  Audio PCI 64V/128/5200 / Creative CT4810/CT5803/CT5806 [Sound Blaster PCI]
 		1274 8001  CT4751 board
 		1462 6470  ES1371, ES1373 AudioPCI On Motherboard MS-6147 1.1A
 		1462 6560  ES1371, ES1373 AudioPCI On Motherboard MS-6156 1.10
@@ -14267,7 +14520,7 @@
 12a8  News Datacom
 12a9  Xiotech Corporation
 12aa  SDL Communications, Inc.
-12ab  Yuan Yuan Enterprise Co., Ltd.
+12ab  YUAN High-Tech Development Co., Ltd.
 	0000  MPG160/Kuroutoshikou ITVC15-STVLP
 	0002  AU8830 [Vortex2] Based Sound Card With A3D Support
 	0003  T507 (DVB-T) TV tuner/capture device
@@ -14816,6 +15069,7 @@
 	0206  GPS180PEX GPS Receiver (PCI Express)
 	0207  GLN180PEX GPS/GLONASS receiver (PCI Express)
 	0208  GPS180AMC GPS Receiver (PCI Express / MicroTCA / AdvancedMC)
+	0209  GRC181PEX GPS/GLONASS/BEIDOU receiver (PCI Express)
 	0301  TCR510PCI IRIG Timecode Reader
 	0302  TCR167PCI IRIG Timecode Reader
 	0303  TCR511PCI IRIG Timecode Reader
@@ -15706,6 +15960,7 @@
 	5015  T502-BT Unified Wire Ethernet Controller
 	5016  T580-OCP-SO Unified Wire Ethernet Controller
 	5017  T520-OCP-SO Unified Wire Ethernet Controller
+	5018  T540-BT Unified Wire Ethernet Controller
 	5080  T540-5080 Unified Wire Ethernet Controller
 	5081  T540-5081 Unified Wire Ethernet Controller
 	5082  T504-5082 Unified Wire Ethernet Controller
@@ -15752,6 +16007,7 @@
 	5415  T502-BT Unified Wire Ethernet Controller
 	5416  T580-OCP-SO Unified Wire Ethernet Controller
 	5417  T520-OCP-SO Unified Wire Ethernet Controller
+	5418  T540-BT Unified Wire Ethernet Controller
 	5480  T540-5080 Unified Wire Ethernet Controller
 	5481  T540-5081 Unified Wire Ethernet Controller
 	5482  T504-5082 Unified Wire Ethernet Controller
@@ -15798,6 +16054,7 @@
 	5515  T502-BT Unified Wire Storage Controller
 	5516  T580-OCP-SO Unified Wire Storage Controller
 	5517  T520-OCP-SO Unified Wire Storage Controller
+	5518  T540-BT Unified Wire Storage Controller
 	5580  T540-5080 Unified Wire Storage Controller
 	5581  T540-5081 Unified Wire Storage Controller
 	5582  T504-5082 Unified Wire Storage Controller
@@ -15844,6 +16101,7 @@
 	5615  T502-BT Unified Wire Storage Controller
 	5616  T580-OCP-SO Unified Wire Storage Controller
 	5617  T520-OCP-SO Unified Wire Storage Controller
+	5618  T540-BT Unified Wire Storage Controller
 	5680  T540-5080 Unified Wire Storage Controller
 	5681  T540-5081 Unified Wire Storage Controller
 	5682  T504-5082 Unified Wire Storage Controller
@@ -15929,6 +16187,7 @@
 	5815  T502-BT Unified Wire Ethernet Controller [VF]
 	5816  T580-OCP-SO Unified Wire Ethernet Controller [VF]
 	5817  T520-OCP-SO Unified Wire Ethernet Controller [VF]
+	5818  T540-BT Unified Wire Ethernet Controller [VF]
 	5880  T540-5080 Unified Wire Ethernet Controller [VF]
 	5881  T540-5081 Unified Wire Ethernet Controller [VF]
 	5882  T504-5082 Unified Wire Ethernet Controller [VF]
@@ -16289,7 +16548,8 @@
 14e1  INVERTEX
 14e2  INFOLIBRIA
 14e3  AMTELCO
-14e4  Broadcom Corporation
+# Formerly Broadcom Corporation
+14e4  Broadcom Limited
 	0576  BCM43224 802.11a/b/g/n
 	0800  Sentry5 Chipcommon I/O Controller
 	0804  Sentry5 PCI Bridge
@@ -16314,7 +16574,7 @@
 		1028 0236  PowerEdge R610 BCM5709 Gigabit Ethernet
 		1028 0237  PowerEdge T610 BCM5709 Gigabit Ethernet
 		103c 7055  NC382i Integrated Multi-port PCI Express Gigabit Server Adapter
-		103c 7059  NC382T PCI Express Dual Port Multifunction Gigabit Server Adapter
+		103c 7059  NC382T PCIe Dual Port Multifunction Gigabit Server Adapter
 		10a9 8027  Quad port Gigabit Ethernet Controller
 	163a  NetXtreme II BCM5709S Gigabit Ethernet
 		1028 027b  PowerEdge M805 Broadcom NetXtreme II BCM5709S
@@ -16385,7 +16645,7 @@
 	1647  NetXtreme BCM5703 Gigabit Ethernet
 		0e11 0099  NC7780 1000BaseTX
 		0e11 009a  NC7770 1000BaseTX
-		10a9 8010  SGI IO9 Gigabit Ethernet (Copper)
+		10a9 8010  IO9 Gigabit Ethernet (Copper)
 		14e4 0009  BCM5703 1000BaseTX
 		14e4 000a  BCM5703 1000BaseSX
 		14e4 000b  BCM5703 1000BaseTX
@@ -16673,15 +16933,41 @@
 		103c 1321  Core I/O LAN/SCSI Combo [AB314A]
 		14e4 0009  NetXtreme BCM5703 1000Base-T
 		14e4 000a  NetXtreme BCM5703 1000Base-SX
-	16c8  BCM57301 NetXtreme-C Single-port 10Gb Ethernet
-	16c9  BCM57302 NetXtreme-C Dual-port 10Gb/25Gb Ethernet
-	16ca  BCM57304 NetXtreme-C Dual-port 10Gb/25Gb/40Gb/50Gb Ethernet
+	16c8  BCM57301 NetXtreme-C 10Gb Ethernet Controller
+	16c9  BCM57302 NetXtreme-C 10Gb/25Gb Ethernet Controller
+	16ca  BCM57304 NetXtreme-C 10Gb/25Gb/40Gb/50Gb Ethernet Controller
 	16cb  BCM57304 NetXtreme-C Ethernet Virtual Function
-	16d0  BCM57402 NetXtreme-E Dual-port 10Gb Ethernet
-	16d1  BCM57404 NetXtreme-E Dual-port 10Gb/25Gb Ethernet
-	16d2  BCM57406 NetXtreme-E Dual-port 10GBase-T Ethernet
+	16cc  BCM57417 NetXtreme-E Ethernet Partition
+	16ce  BCM57311 NetXtreme-C 10Gb RDMA Ethernet Controller
+	16cf  BCM57312 NetXtreme-C 10Gb/25Gb RDMA Ethernet Controller
+	16d0  BCM57402 NetXtreme-E 10Gb Ethernet Controller
+	16d1  BCM57404 NetXtreme-E 10Gb/25Gb Ethernet Controller
+	16d2  BCM57406 NetXtreme-E 10GBASE-T Ethernet Controller
 	16d3  BCM57404 NetXtreme-E Ethernet Virtual Function
+	16d4  BCM57402 NetXtreme-E Ethernet Partition
+	16d5  BCM57407 NetXtreme-E 10GBase-T Ethernet Controller
+	16d6  BCM57412 NetXtreme-E 10Gb RDMA Ethernet Controller
+	16d7  BCM57414 NetXtreme-E 10Gb/25Gb RDMA Ethernet Controller
+		1590 020e  Ethernet 25Gb 2-port 631SFP28 Adapter
+		1590 0211  Ethernet 25Gb 2-port 631FLR-SFP28 Adapter
+	16d8  BCM57416 NetXtreme-E 10GBase-T RDMA Ethernet Controller
+		1590 020c  Ethernet 10Gb 2-port 535T Adapter
+		1590 0212  Ethernet 10Gb 2-port 535FLR-T Adapter
+	16d9  BCM57417 NetXtreme-E 10GBASE-T RDMA Ethernet Controller
+		108e 4866  Dual Port 10GBase-T Ethernet Controller
+	16dc  BCM57414 NetXtreme-E Ethernet Virtual Function
 	16dd  NetLink BCM5781 Gigabit Ethernet PCI Express
+	16de  BCM57412 NetXtreme-E Ethernet Partition
+	16df  BCM57314 NetXtreme-C 10Gb/25Gb/40Gb/50Gb RDMA Ethernet Controller
+	16e1  BCM57314 NetXtreme-C Ethernet Virtual Function
+	16e2  BCM57417 NetXtreme-E 10Gb/25Gb RDMA Ethernet Controller
+		108e 4866  Dual Port 10Gb/25Gb SFP28 Ethernet Controller
+	16e3  BCM57416 NetXtreme-E 10Gb RDMA Ethernet Controller
+	16e7  BCM57404 NetXtreme-E Ethernet Partition
+	16e8  BCM57406 NetXtreme-E Ethernet Partition
+	16e9  BCM57407 NetXtreme-E 25Gb Ethernet Controller
+	16ec  BCM57414 NetXtreme-E Ethernet Partition
+	16ee  BCM57416 NetXtreme-E Ethernet Partition
 	16f3  NetXtreme BCM5727 Gigabit Ethernet PCIe
 	16f7  NetXtreme BCM5753 Gigabit Ethernet PCI Express
 	16fd  NetXtreme BCM5753M Gigabit Ethernet PCI Express
@@ -17230,6 +17516,7 @@
 		0070 8010  WinTV HVR-1400 ExpressCard
 		0070 f038  WinTV HVR-5525
 		107d 6f22  WinFast PxTV1200
+		12ab d585  PE988J Hybrid ATSC/QAM PCI-E AVS Video Capture (SoftEncoder)
 		13c2 3013  TT-budget CT2-4500 CI
 		1461 c039  AVerTV Hybrid Express (A577)
 		153b 117e  Cinergy T PCIe Dual
@@ -17380,6 +17667,7 @@
 	1410  CB1410 Cardbus Controller
 		1025 003c  CL50 motherboard
 		1025 005a  TravelMate 290
+		103c 30d5  530 Laptop
 	1411  CB-710/2/4 Cardbus Controller
 		103c 006a  NX9500
 	1412  CB-712/4 Cardbus Controller
@@ -17429,6 +17717,7 @@
 	9277  5 Volt Delta Sigma Converter Card
 	9278  10 Volt Delta Sigma Converter Card
 	9287  Analog Output Card
+	9290  FPGA Card
 1543  SILICON Laboratories
 	3052  Intel 537 [Winmodem]
 	4c22  Si3036 MC'97 DAA
@@ -17575,6 +17864,7 @@
 15aa  Moreton Bay
 15ab  Bluesteel Networks Inc
 15ac  North Atlantic Instruments
+	6893  3U OpenVPX Multi-function I/O Board [Model 68C3]
 15ad  VMware
 	0405  SVGA II Adapter
 	0710  SVGA Adapter
@@ -17591,6 +17881,7 @@
 	07e0  SATA AHCI controller
 	0801  Virtual Machine Interface
 		15ad 0800  Hypervisor ROM Interface
+	0820  Paravirtual RDMA controller
 	1977  HD Audio Controller
 15ae  Amersham Pharmacia Biotech
 15b0  Zoltrix International Ltd
@@ -17603,6 +17894,10 @@
 	0209  MT27700 Family [ConnectX-4 Flash Recovery]
 	020b  MT27710 Family [ConnectX-4 Lx Flash Recovery]
 	020d  MT28800 Family [ConnectX-5 Flash Recovery]
+# reserved for RM#105916
+	024e  MT53100 [Spectrum-2, Flash recovery mode]
+# Actual value to be used
+	024f  MT53100 [Spectrum-2, Flash recovery mode]
 	0262  MT27710 [ConnectX-4 Lx Programmable] EN
 	0263  MT27710 [ConnectX-4 Lx Programmable Virtual Function] EN
 	1002  MT25400 Family [ConnectX-2 Virtual Function]
@@ -17637,10 +17932,10 @@
 	1014  MT27700 Family [ConnectX-4 Virtual Function]
 	1015  MT27710 Family [ConnectX-4 Lx]
 	1016  MT27710 Family [ConnectX-4 Lx Virtual Function]
-	1017  MT27800 Family [ConnectX-5, PCIe 3.0]
-	1018  MT28800 Family [ConnectX-5 Virtual Function]
-	1019  MT28800 Family [ConnectX-5, PCIe 4.0]
-	101a  MT28830
+	1017  MT27800 Family [ConnectX-5]
+	1018  MT27800 Family [ConnectX-5 Virtual Function]
+	1019  MT28800 Family [ConnectX-5 Ex]
+	101a  MT28800 Family [ConnectX-5 Ex Virtual Function]
 	101b  MT28831
 	101c  MT28840
 	101d  MT28841
@@ -17648,6 +17943,8 @@
 	101f  MT28851
 	1020  MT28860
 	1021  MT28861
+	1974  MT28800 Family [ConnectX-5 PCIe Bridge]
+	1975  MT416842 Family [BlueField SoC PCIe Bridge]
 	5274  MT21108 InfiniBridge
 	5a44  MT23108 InfiniHost
 	5a45  MT23108 [Infinihost HCA Flash Recovery]
@@ -17682,6 +17979,9 @@
 	7121  NPS-600 configuration and management interface
 	7122  NPS-600 network interface PF
 	7123  NPS-600 network interface VF
+	a2d0  MT416842
+	a2d1  MT416842
+	a2d3  MT416842 BlueField multicore SoC family VF
 # SwitchX-2, 40GbE switch
 	c738  MT51136
 	c739  MT51136 GW
@@ -17690,6 +17990,9 @@
 	caf1  ConnectX-4 CAPI Function
 # Spectrum, 100GbE Switch
 	cb84  MT52100
+	cf08  MT53236
+	cf6c  MT53100 [Spectrum-2, 64 x 100GbE switch]
+	d2f0  Switch-IB 3 HDR (200Gbps) switch
 15b4  CCI/TRIAD
 15b5  Cimetrics Inc
 15b6  Texas Memory Systems Inc
@@ -17961,6 +18264,7 @@
 	7181  Proc10a_27S
 	7191  Proc10a_48S
 	71a1  Proc10a_66S
+	71b1  Proc10A
 165d  Hsing Tech. Enterprise Co., Ltd.
 165f  Linux Media Labs, LLC
 	1020  LMLM4 MPEG-4 encoder
@@ -18207,9 +18511,12 @@
 		1028 0208  Wireless 1506 WLAN Half Mini-Card
 		103c 1838  AR9485/HB125 802.11bgn 1×1 Wi-Fi Adapter
 		105b e044  Unex DHXA-225
+		144d 410e  AR9485WB-EG 802.11b/g/n mini-PCIe card on a series 3 laptop
 		1a3b 1186  AW-NE186H
-	0033  AR9580 Wireless Network Adapter
+	0033  AR958x 802.11abgn Wireless Network Adapter
+		168c a120  AR9582 802.11a/n WLAN Mini-PCIe Adapter
 	0034  AR9462 Wireless Network Adapter
+		1028 0300  Wireless 1802 802.11abgn Adapter
 		1a56 2003  Killer Wireless-N 1202 Half-size Mini PCIe Card
 	0036  QCA9565 / AR9565 Wireless Network Adapter
 	0037  AR9485 Wireless Network Adapter
@@ -18220,6 +18527,7 @@
 		1a56 1525  Killer N1525 Wireless-AC
 	0040  QCA9980/9990 802.11ac Wireless Network Adapter
 	0041  QCA6164 802.11ac Wireless Network Adapter
+	0042  QCA9377 802.11ac Wireless Network Adapter
 	0050  QCA9887 802.11ac Wireless Network Adapter
 	0207  AR5210 Wireless Network Adapter [AR5000 802.11a]
 	1014  AR5212 802.11abg NIC
@@ -18338,6 +18646,16 @@
 	7005  XMC-7K410CC: User-Configurable Kintex-7 FPGA, 410k logic cells, conduction-cooled
 	7006  XMC-7A200: User-Configurable Artix-7 FPGA, 200k logic cells with Plug-In I/O
 	7007  XMC-7A200CC: User-Configurable Conduction-Cooled Artix-7 FPGA, with 200k logic cells
+	7011  AP440-1: 32-Channel Isolated Digital Input Module
+	7012  AP440-2: 32-Channel Isolated Digital Input Module
+	7013  AP440-3: 32-Channel Isolated Digital Input Module
+	7014  AP445: 32-Channel Isolated Digital Output Module
+	7016  AP470 48-Channel TTL Level Digital Input/Output Module
+	7018  AP408: 32-Channel Digital I/O Module
+	701a  AP220-16 12-Bit, 16-Channel Analog Output Module
+	701b  AP231-16 16-Bit, 16-Channel Analog Output Module
+	7042  AP482 Counter Timer Module with TTL Level Input/Output
+	7044  AP484 Counter Timer Module with RS422 Input/Output
 16da  Advantech Co., Ltd.
 	0011  INES GPIB-PCI
 16df  PIKA Technologies Inc.
@@ -18431,8 +18749,15 @@
 	0095  Octeon III CN78XX Network Processor
 	0096  Octeon III CN70XX Network Processor
 	9700  Octeon III CN73XX Network Processor
+	9702  CN23XX [LiquidIO II] Intelligent Adapter
+		177d 0003  CN2350 [LiquidIO II] 2-port 10GbE Intelligent adapter
+		177d 0004  CN2350 [LiquidIO II] 2-port 25GbE Intelligent adapter
+	9703  CN23XX [LiquidIO II] NVMe Controller
+	9712  CN23XX [LiquidIO II] SRIOV Virtual Function
+		177d 0003  CN2350 [LiquidIO II] 2-port 10GbE SRIOV Virtual Function
+	9713  CN23XX [LiquidIO II] NVMe SRIOV Virtual Function
 	9800  Octeon Fusion CNF75XX Processor
-	a001  THUNDERX MRML Bridge
+	a001  ThunderX MRML(Master RML Bridge to RSL devices)
 	a002  THUNDERX PCC Bridge
 		177d a102  CN88XX PCC Bridge
 	a008  THUNDERX SMMU
@@ -18470,15 +18795,24 @@
 	a026  THUNDERX BGX (Common Ethernet Interface)
 	a027  THUNDERX IOBN
 	a029  THUNDERX NCSI (Network Controller Sideband Interface)
-	a02a  THUNDERX SGP
+	a02a  ThunderX SGPIO (Serial GPIO controller for SATA disk lights)
 	a02b  THUNDERX SMI / MDIO Controller
 	a02c  THUNDERX DAP (Debug Access Port)
 	a02d  THUNDERX PCIERC (PCIe Root Complex)
-	a02e  THUNDERX L2C-TAD
+	a02e  ThunderX L2C-TAD (Level 2 cache tag and data)
 	a02f  THUNDERX L2C-CBC
 	a030  THUNDERX L2C-MCI
 	a031  THUNDERX MIO-FUS (Fuse Access Controller)
 	a032  THUNDERX FUSF (Fuse Controller)
+	a033  THUNDERX Random Number Generator virtual function
+	a034  THUNDERX Network Interface Controller virtual function
+	a035  THUNDERX Parallel Bus
+	a036  ThunderX RAD (RAID acceleration engine) virtual function
+	a037  THUNDERX ZIP virtual function
+	a040  THUNDERX CPT Cryptographic Accelerator
+	a100  THUNDERX CN88XX 48 core SoC
+	a200  OCTEON TX CN81XX/CN80XX
+	a300  OCTEON TX CN83XX
 1787  Hightech Information System Ltd.
 1789  Ennyah Technologies Corp.
 # also used by Struck Innovative Systeme for joint developments
@@ -18538,6 +18872,7 @@
 	8083  GL880 USB 1.1 UHCI controller
 	8084  GL880 USB 2.0 EHCI controller
 17aa  Lenovo
+	402b  Intel 82599ES 10Gb 2-port Server Adapter X520-2
 17ab  Phillips Components
 17af  Hightech Information System Ltd.
 17b3  Hawking Technologies
@@ -18550,7 +18885,8 @@
 	0017  StorSecure 300 GZIP Compression and AES Encryption Card
 17c0  Wistron Corp.
 17c2  Newisys, Inc.
-17cb  Airgo Networks, Inc.
+# nee Airgo Networks, Inc.
+17cb  Qualcomm
 	0001  AGN100 802.11 a/b/g True MIMO Wireless Card
 		1385 5c00  WGM511 Pre-N 802.11g Wireless CardBus Adapter
 		1737 0045  WMP54GX v1 802.11g Wireless-G PCI Adapter with SRX
@@ -18557,8 +18893,11 @@
 	0002  AGN300 802.11 a/b/g True MIMO Wireless Card
 		1385 6d00  WPNT511 RangeMax 240 Mbps Wireless CardBus Adapter
 		1737 0054  WPC54GX4 v1 802.11g Wireless-G Notebook Adapter with SRX400
+	0400  Datacenter Technologies QDF2432 PCI Express Root Port
+	0401  Datacenter Technologies QDF2400 PCI Express Root Port
 17cc  NetChip Technology, Inc
 	2280  USB 2.0
+17cd  Cadence Design Systems, Inc.
 17cf  Z-Com, Inc.
 17d3  Areca Technology Corp.
 	1110  ARC-1110 4-Port PCI-X to SATA RAID Controller
@@ -18630,6 +18969,44 @@
 17db  Cray Inc
 	0101  XT Series [Seastar] 3D Toroidal Router
 17de  KWorld Computer Co. Ltd.
+17df  Dini Group
+	1864  Virtex4 PCI Board w/ QL5064 Bridge [DN7000K10PCI/DN8000K10PCI/DN8000K10PSX/NOTUS]
+	1865  Virtex4 ASIC Emulator [DN8000K10PCIe]
+	1866  Virtex4 ASIC Emulator Cable Connection [DN8000K10PCI]
+	1867  Virtex4 ASIC Emulator Cable Connection [DN8000K10PCIe]
+	1868  Virtex4 ASIC Emulator [DN8000K10PCIe-8]
+	1900  Virtex5 PCIe ASIC Emulator [DN9000K10PCIe8T/DN9002K10PCIe8T/DN9200K10PCIe8T/DN7006K10PCIe8T/DN7406K10PCIe8T]
+	1901  Virtex5 PCIe ASIC Emulator Large BARs [DN9000K10PCIe8T/DN9002K10PCIe8T/DN9200K10PCIe8T/DN7006K10PCIe8T/DN7406K10PCIe8T]
+	1902  Virtex5 PCIe ASIC Emulator Low Power [Interceptor]
+	1903  Spartan6 PCIe FPGA Accelerator Board [DNBFCS12PCIe]
+	1904  Virtex6 PCIe ASIC Emulation Board [DNDUALV6_PCIe4]
+	1905  Virtex6 PCIe ASIC Emulation Board [DNV6F6PCIe]
+	1906  Virtex6 PCIe ASIC Emulation Board [DN2076K10]
+	1907  Virtex6 PCIe ASIC Emulation Board [DNV6F2PCIe]
+	1908  Virtex6 PCIe ASIC Emulation Board Large BARs[DNV6F2PCIe]
+	1909  Kintex7 PCIe FPGA Accelerator Board [DNK7F5PCIe]
+	190a  Virtex7 PCIe ASIC Emulation Board [DNV7F1A]
+	190b  Stratix5 PCIe ASIC Emulation Board [DNS5GXF2]
+	190c  Virtex7 PCIe ASIC Emulation Board [DNV7F2A]
+	190d  Virtex7 PCIe ASIC Emulation Board [DNV7F4A]
+	190e  Virtex7 PCIe ASIC Emulation Board [DNV7F2B]
+	190f  KintexUS PCIe MainRef Design [DNPCIE_40G_KU_LL]
+	1910  VirtexUS ASIC Emulation Board [DNVUF4A]
+	1911  VirtexUS PCIe ASIC Emulation Board [DNVU_F2PCIe]
+	1912  KintexUS PCIe MainRef Design [DNPCIe_40G_KU_LL_QSFP]
+	1913  VirtexUS ASIC Emulation Board [DNVUF1A]
+	1914  VirtexUS ASIC Emulation Board [DNVUF2A]
+	1915  Arria10 PCIe MainRef Design [DNPCIe_80G_A10_LL]
+	1916  VirtexUS PCIe Accelerator Board [DNVUF2_HPC_PCIe]
+	1a00  Virtex6 PCIe DMA Netlist Design
+	1a01  Virtex6 PCIe Darklite Design [DNPCIe_HXT_10G_LL]
+	1a02  Virtex7 PCIe DMA Netlist Design
+	1a03  Kintex7 PCIe Darklite Design [DNPCIe_K7_10G_LL]
+	1a05  Stratix5 PCIe Darklite Design [DNS5GX_F2]
+	1a06  VirtexUS PCIe DMA Netlist Design
+	1a07  KintexUS PCIe Darklite Design [DNPCIe_40G_KU_LL]
+	1a08  KintexUS PCIe Darklite Design [DNPCIe_40G_KU_LL_QSFP]
+	1a09  Arria10 PCIe Darklite Design [DNPCIe_80G_A10_LL]
 17e4  Sectra AB
 	0001  KK671 Cardbus encryption board
 	0002  KK672 Cardbus encryption board
@@ -18643,6 +19020,7 @@
 17f2  Albatron Corp.
 17f3  RDC Semiconductor, Inc.
 	1010  R1010 IDE Controller
+	2012  M2012/R3308 VGA-compatible graphics adapter
 	6020  R6020 North Bridge
 	6021  R6021 Host Bridge
 	6030  R6030 ISA Bridge
@@ -18860,6 +19238,7 @@
 18d2  Sitecom Europe BV (Wrong ID)
 # Sitecom HFC-S based ISDN controller card DC-105v2
 	3069  DC-105v2 ISDN controller
+18d4  Celestica
 18d8  Dialogue Technology Corp.
 18dd  Artimi Inc
 	4c6f  Artimi RTMI-100 UWB adapter
@@ -19093,13 +19472,20 @@
 		1924 800c  SFN7x22F-R3 Flareon Ultra 7000 Series 10G Adapter
 		1924 800d  SFN7x02F-R3 Flareon 7000 Series 10G Adapter
 		1924 8010  SFA7942Q-R1 QSFP+ AOE Adapter
+		1924 8015  SFA7942Q-A5-0-R1 QSFP+ AOE Adapter
 	0923  SFC9140
 		1924 800b  SFN7x42Q-R1 Flareon Ultra 7000 Series 10/40G Adapter
 		1924 800e  SFN7x42Q-R2 Flareon Ultra 7000 Series 10/40G Adapter
 		1924 800f  SFN7xx4F-R1 Flareon Ultra 7000 Series 10G Adapter
 	0a03  SFC9220
+		1924 8011  SFN 8022-R1 Solarflare Flareon 8000 Series 10G Adapter
 		1924 8012  SFN8522-R1 Flareon Ultra 8000 Series 10G Adapter
+		1924 8013  SFN8042-R1 Solarflare Flareon 8000 Series 10/40G Adapter
 		1924 8014  SFN8542-R1 Flareon Ultra 8000 Series 10/40G Adapter
+		1924 8016  SFN8022-R2 Flareon 8000 Series 10G Adapter
+		1924 8017  SFN8522-R2 Flareon Ultra 8000 Series 10G Adapter
+		1924 8018  SFN8042-R2 Flareon 8000 Series 10/40G Adapter
+		1924 8019  SFN8542-R2 Flareon Ultra 8000 Series 10/40G Adapter
 	1803  SFC9020 Virtual Function [Solarstorm]
 	1813  SFL9021 Virtual Function [Solarstorm]
 	1903  SFC9120 Virtual Function
@@ -19124,7 +19510,7 @@
 	000c  Qualcomm MSM6275 UMTS chip
 1932  DiBcom
 193c  MAXIM Integrated Products
-193f  Comtech AHA Corp.
+193f  AHA Products Group
 	0001  AHA36x-PCIX
 	0360  AHA360-PCIe
 	0363  AHA363-PCIe
@@ -19135,6 +19521,8 @@
 	0605  AHA605
 	3641  AHA3641
 	3642  AHA3642
+	6101  AHA6101
+	6102  AHA6102
 1942  ClearSpeed Technology plc
 	e511  Advance X620 accelerator card
 	e521  Advance e620 accelerator card
@@ -19613,6 +20001,9 @@
 		1af4 1100  QEMU Virtual Machine
 	0005  QEMU PCI Test Device
 		1af4 1100  QEMU Virtual Machine
+	0006  PCI Rocker Ethernet switch device
+	0007  PCI SD Card Host Controller Interface
+	000a  PCI-PCI bridge (multiseat)
 	0100  QXL paravirtual graphic card
 		1af4 1100  QEMU Virtual Machine
 1b37  Signal Processing Devices Sweden AB
@@ -19662,6 +20053,7 @@
 	91a4  88SE912x IDE Controller
 	9220  88SE9220 PCIe 2.0 x2 2-port SATA 6 Gb/s RAID Controller
 	9230  88SE9230 PCIe SATA 6Gb/s Controller
+		1d49 0300  ThinkSystem M.2 with Mirroring Enablement Kit
 	9235  88SE9235 PCIe 2.0 x2 4-port SATA 6 Gb/s Controller
 	9445  88SE9445 PCIe 2.0 x4 4-Port SAS/SATA 6 Gbps RAID Controller
 	9480  88SE9480 SAS/SATA 6Gb/s RAID controller
@@ -19668,6 +20060,7 @@
 	9485  88SE9485 SAS/SATA 6Gb/s controller
 1b55  NetUP Inc.
 	18f6  Dual DVB Universal CI card
+	18f7  Dual DVB Universal CI card rev 1.4
 	2a2c  Dual DVB-S2-CI card
 	e2e4  Dual DVB-T/C-CI RF card
 # 2xHDMI and 2xHD-SDI inputs
@@ -19719,6 +20112,10 @@
 		1bb1 6522  Nytro XP6500-8A2048
 # 4TB Nytro PCIe controller
 		1bb1 6523  Nytro XP6500-8A4096
+	0100  Nytro Flash Storage
+		1bb1 0101  Nytro XF1440
+		1bb1 0121  Nytro XM1440
+		1bb1 01a1  Nytro XP7102
 1bb3  Bluecherry
 	4304  BC-04120A MPEG4 4 port video encoder / decoder
 	4309  BC-08240A MPEG4 4 port video encoder / decoder
@@ -19744,6 +20141,8 @@
 1bd4  Inspur Electronic Information Industry Co., Ltd.
 1bee  IXXAT Automation GmbH
 	0003  CAN-IB200/PCIe
+1bef  Lantiq
+	0011  MIPS SoC PCI Express Port
 1bf4  VTI Instruments Corporation
 	0001  SentinelEX
 1bfd  EeeTOP
@@ -19751,6 +20150,13 @@
 	4254  10G-PCIE3-8D-2S
 	4255  10G-PCIE3-8D-Q
 	4256  10G-PCIE3-8D-2S
+	4258  10G-PCIE3-8E-2S Network Adapter
+	4260  10G-PCIE3-8E-4S Network Adapter
+	4261  10G-PCIE3-8E-4S Network Adapter
+	4262  10G-PCIE3-8E-4S Network Adapter
+	4263  10G-PCIE3-8E-4S Network Adapter
+	4264  10G-PCIE3-8E-2S Network Adapter
+	4265  10G-PCIE3-8E-2S Network Adapter
 1c1c  Symphony
 	0001  82C101
 1c28  Lite-On IT Corp. / Plextor
@@ -19792,13 +20198,18 @@
 1c8a  TSF5 Corporation
 	0001  Hunter PCI Express
 1cb1  Collion UG & Co.KG
+1cb8  Dawning Information Industry Co., Ltd.
 1cc5  Embedded Intelligence, Inc.
 	0100  CAN-PCIe-02
+1cc7  Radian Memory Systems Inc.
+	0200  RMS-200
+	0250  RMS-250
 1cd2  SesKion GmbH
 	0301  Simulyzer-RT CompactPCI Serial DIO-1 card
 	0302  Simulyzer-RT CompactPCI Serial PSI5-ECU-1 card
 	0303  Simulyzer-RT CompactPCI Serial PSI5-SIM-1 card
 	0304  Simulyzer-RT CompactPCI Serial PWR-ANA-1 card
+	0305  Simulyzer-RT CompactPCI Serial CAN-1 card
 1cdd  secunet Security Networks AG
 1ce4  Exablaze
 	0001  ExaNIC X4
@@ -19815,6 +20226,8 @@
 1d21  Allo
 1d26  Kalray Inc.
 	0040  Turbocard2 Accelerator
+	0080  Open Network Interface Card 80G
+	00c0  Turbocard3 Accelerator
 	e004  AB01/EMB01 Development Board
 1d40  Techman Electronics (Changshu) Co., Ltd.
 1d44  DPT
@@ -19838,7 +20251,11 @@
 	100a  A10PL4-A10GX115
 	100b  K35-2SFP
 	100c  K35-4SFP
+	100d  AR-ARKA-FX0 [Arkville 32B DPDK Data Mover]
+	100e  AR-ARKA-FX1 [Arkville 64B DPDK Data Mover]
 	4200  A5PL-E1-10GETI [10 GbE Ethernet Traffic Instrument]
+1d78  DERA
+1d8f  Enyx
 1de1  Tekram Technology Co.,Ltd.
 	0391  TRM-S1040 [DC-315 / DC-395 series]
 	2020  DC-390
@@ -19881,13 +20298,17 @@
 	4022  TN9310 10GbE SFP+ Ethernet Adapter
 		1043 8709  XG-C100F 10GbE SFP+ Ethernet Adapter
 		1186 4d00  DXE-810S 10GbE SFP+ Ethernet Adapter
+		1432 8103  EN-8102PF 10GbE SPF+ Ethernet Adapter
 		1fc9 3015  Ethernet Adapter
 	4024  TN9210 10GBase-T Ethernet Adapter
 	4025  TN9510 10GBase-T/NBASE-T Ethernet Adapter
+		105a 7203  SANLink3 NBase-T1
 		1186 2900  DXE-810T 10GBase-T Ethernet Adapter
+		1432 8102  EN-8102P 10GbE Ethernet Adapter
 		1fc9 3015  Ethernet Adapter
 	4026  TN9610 10GbE SFP+ Ethernet Adapter
-	4027  TN9710 10GBase-T/NBASE-T Ethernet Adapter
+	4027  TN9710P 10GBase-T/NBASE-T Ethernet Adapter
+	4527  TN9710Q 5GBase-T/NBASE-T Ethernet Adapter
 1fcc  StreamLabs
 	f416  MS416
 	fb01  MH4LM
@@ -19937,6 +20358,7 @@
 		4c53 4000  PMCCARR1 carrier board
 	0022  HiNT HB4 PCI-PCI Bridge (PCI6150)
 	0026  HB2 PCI-PCI Bridge
+	1014  AudioTrak Maya
 	1018  Audiotrak INCA88
 	1019  Miditrak 2120
 	101a  E.Band [AudioTrak Inca88]
@@ -20142,6 +20564,8 @@
 	adc1  ADC200ME High speed ADC
 	de01  DL200ME High resolution delay line PCI based card
 	de02  DL200ME Middle resolution delay line PCI based card
+# Can't find any information on this company
+4651  TXIC
 4680  Umax Computer Corp
 4843  Hercules Computer Technology Inc
 4916  RedCreek Communications Inc
